Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.tags
Class TestOlapModelTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.tonbeller.jpivot.tags.OlapModelTag
                  com.tonbeller.jpivot.tags.TestOlapModelTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TestOlapModelTag

extends OlapModelTag

Author:
  andreas
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TestOlapModelTag()`

Method Summary
`java.lang.String` | `getConfig()` Returns the config.
`protected java.net.URL` | `getDefaultConfig()`
`protected OlapModel` | `getOlapModel(com.tonbeller.wcf.controller.RequestContext context)` creates a test olap model
`java.lang.String` | `getOnColumns()` Returns the onColumns.
`java.lang.String` | `getOnRows()` Returns the onRows.
`void` | `setConfig(java.lang.String config)` Sets the config.
`void` | `setOnColumns(java.lang.String onColumns)` Sets the onColumns.
`void` | `setOnRows(java.lang.String onRows)` Sets the onRows.

Methods inherited from class com.tonbeller.jpivot.tags.OlapModelTag
`addClickable, doEndTag, doStartTag, release, setQueryName, setStackMode`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### TestOlapModelTag

    public TestOlapModelTag()

Method Detail

### getOlapModel

    protected OlapModel getOlapModel(com.tonbeller.wcf.controller.RequestContext context)
                              throws java.lang.Exception

  creates a test olap model

  Specified by:
    `getOlapModel` in class `OlapModelTag`
  Throws:
    `java.lang.Exception`

### getDefaultConfig

    protected java.net.URL getDefaultConfig()

  Returns:

### getOnColumns

    public java.lang.String getOnColumns()

  Returns the onColumns.

  Returns:
    String

### getOnRows

    public java.lang.String getOnRows()

  Returns the onRows.

  Returns:
    String

### setOnColumns

    public void setOnColumns(java.lang.String onColumns)

  Sets the onColumns.

  Parameters:
    `onColumns` - The onColumns to set

### setOnRows

    public void setOnRows(java.lang.String onRows)

  Sets the onRows.

  Parameters:
    `onRows` - The onRows to set

### getConfig

    public java.lang.String getConfig()

  Returns the config.

  Returns:
    String

### setConfig

    public void setConfig(java.lang.String config)

  Sets the config.

  Parameters:
    `config` - The config to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD